Package org.eclipse.mat.ui.internal.query.arguments

## Class ArgumentsTable

- java.lang.Object
- - org.eclipse.mat.ui.internal.query.arguments.ArgumentsTable

All Implemented Interfaces:
  `ArgumentEditor.IEditorListener`

    public class ArgumentsTable
    extends java.lang.Object
    implements ArgumentEditor.IEditorListener

### Nested Class Summary

Nested Classes
`static interface` `ArgumentsTable.ITableListener`

### Constructor Summary

Constructors
`ArgumentsTable​(Composite parent, int style, IQueryContext context, ArgumentSet argumentSet, LinkEditor.Mode mode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener​(ArgumentsTable.ITableListener listener)`
`void` `dispose()`
`void` `fireFocusChangedEvent​(java.lang.String message)`
`void` `onError​(ArgumentEditor editor, java.lang.String message)`
`void` `onFocus​(java.lang.String message)`
`void` `onModeChange​(LinkEditor.Mode mode, ArgumentDescriptor descriptor)`
`void` `onValueChanged​(java.lang.Object value, ArgumentDescriptor descriptor, TableItem item, ArgumentEditor argEditor)`
`void` `removeListener​(ArgumentsTable.ITableListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArgumentsTable

    public ArgumentsTable​(Composite parent,
                          int style,
                          IQueryContext context,
                          ArgumentSet argumentSet,
                          LinkEditor.Mode mode)

### Method Detail

#### dispose

    public void dispose()

#### onValueChanged

    public void onValueChanged​(java.lang.Object value,
                               ArgumentDescriptor descriptor,
                               TableItem item,
                               ArgumentEditor argEditor)

Specified by:
  `onValueChanged` in interface `ArgumentEditor.IEditorListener`

#### onError

    public void onError​(ArgumentEditor editor,
                        java.lang.String message)

Specified by:
  `onError` in interface `ArgumentEditor.IEditorListener`

#### addListener

    public void addListener​(ArgumentsTable.ITableListener listener)

#### removeListener

    public void removeListener​(ArgumentsTable.ITableListener listener)

#### fireFocusChangedEvent

    public void fireFocusChangedEvent​(java.lang.String message)

#### onFocus

    public void onFocus​(java.lang.String message)

Specified by:
  `onFocus` in interface `ArgumentEditor.IEditorListener`

#### onModeChange

    public void onModeChange​(LinkEditor.Mode mode,
                             ArgumentDescriptor descriptor)

Specified by:
  `onModeChange` in interface `ArgumentEditor.IEditorListener`